<?php
/**
 * @file
 * Provides admin settings page to adjust hubspot API key and JavaScript embedding.
 */

function hubspot_user_admin_settings() {
  $form = array();
  
  $form['settings'] = array(
    '#title' => t('hubspot_user Settings'),
    '#type' => 'fieldset',
  );

  $form['settings']['hubspot_user_portalid'] = array(
    '#title' => t('Hubspot Portal ID'),
    '#type' => 'textfield',
	'#required' => TRUE,
    '#default_value' => variable_get('hubspot_user_portalid', ''),
    '#description' => t('Enter the hubspot_user Portal ID for this site.  It can be found by <a href="https://login.hubspot.com/login" target="_blank">logging into hubspot_user</a> going to the Dashboard and examining the url. Example: "https://app.hubspot.com/dashboard-plus/12345/dash/".  The number after "dashboard-plus" is your Portal ID.'),
  );
  
  $form['settings']['hubspot_user_formguid'] = array(
    '#title' => t('Hubspot Form GUID'),
    '#type' => 'textfield',
    '#default_value' => variable_get('hubspot_user_formguid', ''),
    '#description' => t('The Form GUID can be found by editing the form, and looking at the URL. In the URL https://app.hubspot.com/forms/62515/78c2891f-ebdd-44c0-bd94-15c012bbbfbf/edit/, the form GUID is 78c2891f-ebdd-44c0-bd94-15c012bbbfbf'),
  );
  
  $form['settings']['hubspot_user_log_code'] = array(
    '#title' => t('Hubspot Traffic Logging Code'),
    '#type' => 'textarea',
    '#default_value' => variable_get('hubspot_user_log_code', ''),
    '#description' => t('To enable hubspot_user traffic logging on your site, paste the External Site Traffic Logging code here.'),
  );

  return system_settings_form($form);
}
